| Home | Libraries | People | FAQ | More

###### array::push_back (1 of 2 overloads)

Add an element to the end.

###### Synopsis

    void
    push_back(
        value const& v);

###### Description

This appends a copy of `v` to the container's elements. If `capacity() < size() + 1`, a reallocation occurs first, and all iterators and references are invalidated. Any past-the-end iterators are always invalidated.

###### Complexity

Amortized constant.

###### Exception Safety

Strong guarantee. Calls to `memory_resource::allocate` may throw.

###### Parameters

Name | Description
--- | ---
`v` | The value to insert. A copy will be made using container's associated `memory_resource`.